<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number128</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.128:</b>  Write a JavaScript program to find the smallest round number that is not less than a given value. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 550px; height: auto;">
		<p> Take it :</p>
		<input type="number" id="num" placeholder="Enter Number To Round UP/Down">
	  <input type="button" onClick="generate()" name="gen" value="Tap Here To Generate Matrix" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num').value;
		  var spl = ("" + num).split("");
		  if ( num >= 5 ){
		  if (spl[spl.length-1] >= 5) {
			  var roundup = ( Math.ceil(num / 10) ) * 10 ;
			  document.getElementById('demo').innerHTML=
				  "The Number You Insert is:<br>" + num + "<br>" + 
				  "The Number must be Round Up and result is:<br>" + roundup;
		  } else {
			  var rounddown = ( Math.floor(num / 10) ) * 10 ;
			  document.getElementById('demo').innerHTML=
				  "The Number You Insert is:<br>" + num + "<br>" + 
				  "The Number must be Round Down and result is<:<br>" + rounddown;			  
		  }
		  } else {
			  document.getElementById('demo').innerHTML=
				  "Because of number inserted is Below 5,<br> The number round up to 10"
		  }
	  }
	</script>
</body>
</html>
